<?php
session_start();
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session


  $conexion=conecta_default();
  $ok=0;
  if(isset($_POST['id_d'])){
    $id=$_POST['id_d'];
    //echo $id;
   
    $busqusr = "SELECT inversionista_id_inver, observaciones FROM transacciones WHERE idtransacciones='$id'";
    $cons = mysqli_query($conexion, $busqusr) or die ('Err0: '.mysqli_error($conexion));
    $usr = mysqli_fetch_object($cons);    
    $cant = $usr->observaciones;
    $idinv = $usr->inversionista_id_inver;
    
    $q1 = "SELECT * FROM puntos WHERE inversionista_id_inver = '$idinv'";
    $cons2 = mysqli_query($conexion, $q1) or die ('Err0: '.mysqli_error($conexion));
    $ptos = mysqli_fetch_object($cons2);
    $puntos = $ptos->puntosact;
      
    $punact = $puntos - $cant;
    
    
    $query = "UPDATE puntos SET puntosact = '$punact' WHERE inversionista_id_inver = '$idinv'";
    $cons = mysqli_query($conexion, $query) or die('Err0: '. mysqli_error($conexion));
    
    $query1="update transacciones set tipostr_idtipostr='3' where idtransacciones='$id';";
    $result1=mysqli_query($conexion, $query1,$conexion);   
    
    if(mysqli_affected_rows($conexion)){
      $ok=1;
    }
  }else{//if isset post
    @header("Location:  ./listacambios.php");//header debe estar antes del cod. html
    echo "<tr><td><p>No se recibio id.</td></tr></p>";    
    exit;
  }
  echo "<html>
        <head></head>
        <body>
        <table>";
   if($ok){//si se realizo la consulta     
     echo "<tr></td>Cambio Realizado.</td></tr><br />";
   }else{ echo "<tr><td><p>No se pudo realizar el cambio.</td></tr></p>";}
   echo "<tr><td><a href=\"listacambios.php\"><center><img src=\"../files/regresar.png\" border=\"0\" width=\"136\" height=\"48\" alt=\"\"></center></td></tr>";
   echo "</table>
          </body>
          </html>              
        ";  
?>
